bl-compiler

compiler for the bl programming language.
Log | Files | Refs | README

Makefile.in (24632B)


      1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 VPATH = @srcdir@
     17 am__is_gnu_make = { \
     18   if test -z '$(MAKELEVEL)'; then \
     19     false; \
     20   elif test -n '$(MAKE_HOST)'; then \
     21     true; \
     22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     23     true; \
     24   else \
     25     false; \
     26   fi; \
     27 }
     28 am__make_running_with_option = \
     29   case $${target_option-} in \
     30       ?) ;; \
     31       *) echo "am__make_running_with_option: internal error: invalid" \
     32               "target option '$${target_option-}' specified" >&2; \
     33          exit 1;; \
     34   esac; \
     35   has_opt=no; \
     36   sane_makeflags=$$MAKEFLAGS; \
     37   if $(am__is_gnu_make); then \
     38     sane_makeflags=$$MFLAGS; \
     39   else \
     40     case $$MAKEFLAGS in \
     41       *\\[\ \	]*) \
     42         bs=\\; \
     43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     44           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     45     esac; \
     46   fi; \
     47   skip_next=no; \
     48   strip_trailopt () \
     49   { \
     50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     51   }; \
     52   for flg in $$sane_makeflags; do \
     53     test $$skip_next = yes && { skip_next=no; continue; }; \
     54     case $$flg in \
     55       *=*|--*) continue;; \
     56         -*I) strip_trailopt 'I'; skip_next=yes;; \
     57       -*I?*) strip_trailopt 'I';; \
     58         -*O) strip_trailopt 'O'; skip_next=yes;; \
     59       -*O?*) strip_trailopt 'O';; \
     60         -*l) strip_trailopt 'l'; skip_next=yes;; \
     61       -*l?*) strip_trailopt 'l';; \
     62       -[dEDm]) skip_next=yes;; \
     63       -[JT]) skip_next=yes;; \
     64     esac; \
     65     case $$flg in \
     66       *$$target_option*) has_opt=yes; break;; \
     67     esac; \
     68   done; \
     69   test $$has_opt = yes
     70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     72 pkgdatadir = $(datadir)/@PACKAGE@
     73 pkgincludedir = $(includedir)/@PACKAGE@
     74 pkglibdir = $(libdir)/@PACKAGE@
     75 pkglibexecdir = $(libexecdir)/@PACKAGE@
     76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     77 install_sh_DATA = $(install_sh) -c -m 644
     78 install_sh_PROGRAM = $(install_sh) -c
     79 install_sh_SCRIPT = $(install_sh) -c
     80 INSTALL_HEADER = $(INSTALL_DATA)
     81 transform = $(program_transform_name)
     82 NORMAL_INSTALL = :
     83 PRE_INSTALL = :
     84 POST_INSTALL = :
     85 NORMAL_UNINSTALL = :
     86 PRE_UNINSTALL = :
     87 POST_UNINSTALL = :
     88 subdir = .
     89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
     91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     92 	$(ACLOCAL_M4)
     93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
     94 	$(am__configure_deps) $(am__DIST_COMMON)
     95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     96  configure.lineno config.status.lineno
     97 mkinstalldirs = $(install_sh) -d
     98 CONFIG_HEADER = config.h
     99 CONFIG_CLEAN_FILES =
    100 CONFIG_CLEAN_VPATH_FILES =
    101 AM_V_P = $(am__v_P_@AM_V@)
    102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    103 am__v_P_0 = false
    104 am__v_P_1 = :
    105 AM_V_GEN = $(am__v_GEN_@AM_V@)
    106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    107 am__v_GEN_0 = @echo "  GEN     " $@;
    108 am__v_GEN_1 = 
    109 AM_V_at = $(am__v_at_@AM_V@)
    110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    111 am__v_at_0 = @
    112 am__v_at_1 = 
    113 SOURCES =
    114 DIST_SOURCES =
    115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
    116 	ctags-recursive dvi-recursive html-recursive info-recursive \
    117 	install-data-recursive install-dvi-recursive \
    118 	install-exec-recursive install-html-recursive \
    119 	install-info-recursive install-pdf-recursive \
    120 	install-ps-recursive install-recursive installcheck-recursive \
    121 	installdirs-recursive pdf-recursive ps-recursive \
    122 	tags-recursive uninstall-recursive
    123 am__can_run_installinfo = \
    124   case $$AM_UPDATE_INFO_DIR in \
    125     n|no|NO) false;; \
    126     *) (install-info --version) >/dev/null 2>&1;; \
    127   esac
    128 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
    129   distclean-recursive maintainer-clean-recursive
    130 am__recursive_targets = \
    131   $(RECURSIVE_TARGETS) \
    132   $(RECURSIVE_CLEAN_TARGETS) \
    133   $(am__extra_recursive_targets)
    134 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
    135 	cscope distdir distdir-am dist dist-all distcheck
    136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
    137 	config.h.in
    138 # Read a list of newline-separated strings from the standard input,
    139 # and print each of them once, without duplicates.  Input order is
    140 # *not* preserved.
    141 am__uniquify_input = $(AWK) '\
    142   BEGIN { nonempty = 0; } \
    143   { items[$$0] = 1; nonempty = 1; } \
    144   END { if (nonempty) { for (i in items) print i; }; } \
    145 '
    146 # Make sure the list of sources is unique.  This is necessary because,
    147 # e.g., the same source file might be shared among _SOURCES variables
    148 # for different programs/libraries.
    149 am__define_uniq_tagged_files = \
    150   list='$(am__tagged_files)'; \
    151   unique=`for i in $$list; do \
    152     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    153   done | $(am__uniquify_input)`
    154 DIST_SUBDIRS = $(SUBDIRS)
    155 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in README \
    156 	depcomp install-sh missing
    157 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    158 distdir = $(PACKAGE)-$(VERSION)
    159 top_distdir = $(distdir)
    160 am__remove_distdir = \
    161   if test -d "$(distdir)"; then \
    162     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
    163       && rm -rf "$(distdir)" \
    164       || { sleep 5 && rm -rf "$(distdir)"; }; \
    165   else :; fi
    166 am__post_remove_distdir = $(am__remove_distdir)
    167 am__relativize = \
    168   dir0=`pwd`; \
    169   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
    170   sed_rest='s,^[^/]*/*,,'; \
    171   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
    172   sed_butlast='s,/*[^/]*$$,,'; \
    173   while test -n "$$dir1"; do \
    174     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    175     if test "$$first" != "."; then \
    176       if test "$$first" = ".."; then \
    177         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
    178         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    179       else \
    180         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
    181         if test "$$first2" = "$$first"; then \
    182           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
    183         else \
    184           dir2="../$$dir2"; \
    185         fi; \
    186         dir0="$$dir0"/"$$first"; \
    187       fi; \
    188     fi; \
    189     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
    190   done; \
    191   reldir="$$dir2"
    192 DIST_ARCHIVES = $(distdir).tar.gz
    193 GZIP_ENV = --best
    194 DIST_TARGETS = dist-gzip
    195 # Exists only to be overridden by the user if desired.
    196 AM_DISTCHECK_DVI_TARGET = dvi
    197 distuninstallcheck_listfiles = find . -type f -print
    198 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
    199   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
    200 distcleancheck_listfiles = find . -type f -print
    201 ACLOCAL = @ACLOCAL@
    202 AMTAR = @AMTAR@
    203 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    204 AUTOCONF = @AUTOCONF@
    205 AUTOHEADER = @AUTOHEADER@
    206 AUTOMAKE = @AUTOMAKE@
    207 AWK = @AWK@
    208 CPPFLAGS = @CPPFLAGS@
    209 CSCOPE = @CSCOPE@
    210 CTAGS = @CTAGS@
    211 CXX = @CXX@
    212 CXXDEPMODE = @CXXDEPMODE@
    213 CXXFLAGS = @CXXFLAGS@
    214 CYGPATH_W = @CYGPATH_W@
    215 DEFS = @DEFS@
    216 DEPDIR = @DEPDIR@
    217 ECHO_C = @ECHO_C@
    218 ECHO_N = @ECHO_N@
    219 ECHO_T = @ECHO_T@
    220 ETAGS = @ETAGS@
    221 EXEEXT = @EXEEXT@
    222 INSTALL = @INSTALL@
    223 INSTALL_DATA = @INSTALL_DATA@
    224 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    225 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    226 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    227 LDFLAGS = @LDFLAGS@
    228 LIBOBJS = @LIBOBJS@
    229 LIBS = @LIBS@
    230 LTLIBOBJS = @LTLIBOBJS@
    231 MAKEINFO = @MAKEINFO@
    232 MKDIR_P = @MKDIR_P@
    233 OBJEXT = @OBJEXT@
    234 PACKAGE = @PACKAGE@
    235 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    236 PACKAGE_NAME = @PACKAGE_NAME@
    237 PACKAGE_STRING = @PACKAGE_STRING@
    238 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    239 PACKAGE_URL = @PACKAGE_URL@
    240 PACKAGE_VERSION = @PACKAGE_VERSION@
    241 PATH_SEPARATOR = @PATH_SEPARATOR@
    242 SET_MAKE = @SET_MAKE@
    243 SHELL = @SHELL@
    244 STRIP = @STRIP@
    245 VERSION = @VERSION@
    246 abs_builddir = @abs_builddir@
    247 abs_srcdir = @abs_srcdir@
    248 abs_top_builddir = @abs_top_builddir@
    249 abs_top_srcdir = @abs_top_srcdir@
    250 ac_ct_CXX = @ac_ct_CXX@
    251 am__include = @am__include@
    252 am__leading_dot = @am__leading_dot@
    253 am__quote = @am__quote@
    254 am__tar = @am__tar@
    255 am__untar = @am__untar@
    256 bindir = @bindir@
    257 build_alias = @build_alias@
    258 builddir = @builddir@
    259 datadir = @datadir@
    260 datarootdir = @datarootdir@
    261 docdir = @docdir@
    262 dvidir = @dvidir@
    263 exec_prefix = @exec_prefix@
    264 host_alias = @host_alias@
    265 htmldir = @htmldir@
    266 includedir = @includedir@
    267 infodir = @infodir@
    268 install_sh = @install_sh@
    269 libdir = @libdir@
    270 libexecdir = @libexecdir@
    271 localedir = @localedir@
    272 localstatedir = @localstatedir@
    273 mandir = @mandir@
    274 mkdir_p = @mkdir_p@
    275 oldincludedir = @oldincludedir@
    276 pdfdir = @pdfdir@
    277 prefix = @prefix@
    278 program_transform_name = @program_transform_name@
    279 psdir = @psdir@
    280 runstatedir = @runstatedir@
    281 sbindir = @sbindir@
    282 sharedstatedir = @sharedstatedir@
    283 srcdir = @srcdir@
    284 sysconfdir = @sysconfdir@
    285 target_alias = @target_alias@
    286 top_build_prefix = @top_build_prefix@
    287 top_builddir = @top_builddir@
    288 top_srcdir = @top_srcdir@
    289 SUBDIRS = src
    290 all: config.h
    291 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
    292 
    293 .SUFFIXES:
    294 am--refresh: Makefile
    295 	@:
    296 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    297 	@for dep in $?; do \
    298 	  case '$(am__configure_deps)' in \
    299 	    *$$dep*) \
    300 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
    301 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
    302 		&& exit 0; \
    303 	      exit 1;; \
    304 	  esac; \
    305 	done; \
    306 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
    307 	$(am__cd) $(top_srcdir) && \
    308 	  $(AUTOMAKE) --foreign Makefile
    309 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    310 	@case '$?' in \
    311 	  *config.status*) \
    312 	    echo ' $(SHELL) ./config.status'; \
    313 	    $(SHELL) ./config.status;; \
    314 	  *) \
    315 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
    316 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
    317 	esac;
    318 
    319 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    320 	$(SHELL) ./config.status --recheck
    321 
    322 $(top_srcdir)/configure:  $(am__configure_deps)
    323 	$(am__cd) $(srcdir) && $(AUTOCONF)
    324 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    325 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    326 $(am__aclocal_m4_deps):
    327 
    328 config.h: stamp-h1
    329 	@test -f $@ || rm -f stamp-h1
    330 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
    331 
    332 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    333 	@rm -f stamp-h1
    334 	cd $(top_builddir) && $(SHELL) ./config.status config.h
    335 $(srcdir)/config.h.in:  $(am__configure_deps) 
    336 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
    337 	rm -f stamp-h1
    338 	touch $@
    339 
    340 distclean-hdr:
    341 	-rm -f config.h stamp-h1
    342 
    343 # This directory's subdirectories are mostly independent; you can cd
    344 # into them and run 'make' without going through this Makefile.
    345 # To change the values of 'make' variables: instead of editing Makefiles,
    346 # (1) if the variable is set in 'config.status', edit 'config.status'
    347 #     (which will cause the Makefiles to be regenerated when you run 'make');
    348 # (2) otherwise, pass the desired values on the 'make' command line.
    349 $(am__recursive_targets):
    350 	@fail=; \
    351 	if $(am__make_keepgoing); then \
    352 	  failcom='fail=yes'; \
    353 	else \
    354 	  failcom='exit 1'; \
    355 	fi; \
    356 	dot_seen=no; \
    357 	target=`echo $@ | sed s/-recursive//`; \
    358 	case "$@" in \
    359 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    360 	  *) list='$(SUBDIRS)' ;; \
    361 	esac; \
    362 	for subdir in $$list; do \
    363 	  echo "Making $$target in $$subdir"; \
    364 	  if test "$$subdir" = "."; then \
    365 	    dot_seen=yes; \
    366 	    local_target="$$target-am"; \
    367 	  else \
    368 	    local_target="$$target"; \
    369 	  fi; \
    370 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    371 	  || eval $$failcom; \
    372 	done; \
    373 	if test "$$dot_seen" = "no"; then \
    374 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    375 	fi; test -z "$$fail"
    376 
    377 ID: $(am__tagged_files)
    378 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    379 tags: tags-recursive
    380 TAGS: tags
    381 
    382 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    383 	set x; \
    384 	here=`pwd`; \
    385 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    386 	  include_option=--etags-include; \
    387 	  empty_fix=.; \
    388 	else \
    389 	  include_option=--include; \
    390 	  empty_fix=; \
    391 	fi; \
    392 	list='$(SUBDIRS)'; for subdir in $$list; do \
    393 	  if test "$$subdir" = .; then :; else \
    394 	    test ! -f $$subdir/TAGS || \
    395 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    396 	  fi; \
    397 	done; \
    398 	$(am__define_uniq_tagged_files); \
    399 	shift; \
    400 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    401 	  test -n "$$unique" || unique=$$empty_fix; \
    402 	  if test $$# -gt 0; then \
    403 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    404 	      "$$@" $$unique; \
    405 	  else \
    406 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    407 	      $$unique; \
    408 	  fi; \
    409 	fi
    410 ctags: ctags-recursive
    411 
    412 CTAGS: ctags
    413 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    414 	$(am__define_uniq_tagged_files); \
    415 	test -z "$(CTAGS_ARGS)$$unique" \
    416 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    417 	     $$unique
    418 
    419 GTAGS:
    420 	here=`$(am__cd) $(top_builddir) && pwd` \
    421 	  && $(am__cd) $(top_srcdir) \
    422 	  && gtags -i $(GTAGS_ARGS) "$$here"
    423 cscope: cscope.files
    424 	test ! -s cscope.files \
    425 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
    426 clean-cscope:
    427 	-rm -f cscope.files
    428 cscope.files: clean-cscope cscopelist
    429 cscopelist: cscopelist-recursive
    430 
    431 cscopelist-am: $(am__tagged_files)
    432 	list='$(am__tagged_files)'; \
    433 	case "$(srcdir)" in \
    434 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    435 	  *) sdir=$(subdir)/$(srcdir) ;; \
    436 	esac; \
    437 	for i in $$list; do \
    438 	  if test -f "$$i"; then \
    439 	    echo "$(subdir)/$$i"; \
    440 	  else \
    441 	    echo "$$sdir/$$i"; \
    442 	  fi; \
    443 	done >> $(top_builddir)/cscope.files
    444 
    445 distclean-tags:
    446 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    447 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
    448 distdir: $(BUILT_SOURCES)
    449 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
    450 
    451 distdir-am: $(DISTFILES)
    452 	$(am__remove_distdir)
    453 	test -d "$(distdir)" || mkdir "$(distdir)"
    454 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    455 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    456 	list='$(DISTFILES)'; \
    457 	  dist_files=`for file in $$list; do echo $$file; done | \
    458 	  sed -e "s|^$$srcdirstrip/||;t" \
    459 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    460 	case $$dist_files in \
    461 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    462 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    463 			   sort -u` ;; \
    464 	esac; \
    465 	for file in $$dist_files; do \
    466 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    467 	  if test -d $$d/$$file; then \
    468 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    469 	    if test -d "$(distdir)/$$file"; then \
    470 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    471 	    fi; \
    472 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    473 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    474 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    475 	    fi; \
    476 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    477 	  else \
    478 	    test -f "$(distdir)/$$file" \
    479 	    || cp -p $$d/$$file "$(distdir)/$$file" \
    480 	    || exit 1; \
    481 	  fi; \
    482 	done
    483 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    484 	  if test "$$subdir" = .; then :; else \
    485 	    $(am__make_dryrun) \
    486 	      || test -d "$(distdir)/$$subdir" \
    487 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
    488 	      || exit 1; \
    489 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
    490 	    $(am__relativize); \
    491 	    new_distdir=$$reldir; \
    492 	    dir1=$$subdir; dir2="$(top_distdir)"; \
    493 	    $(am__relativize); \
    494 	    new_top_distdir=$$reldir; \
    495 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
    496 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
    497 	    ($(am__cd) $$subdir && \
    498 	      $(MAKE) $(AM_MAKEFLAGS) \
    499 	        top_distdir="$$new_top_distdir" \
    500 	        distdir="$$new_distdir" \
    501 		am__remove_distdir=: \
    502 		am__skip_length_check=: \
    503 		am__skip_mode_fix=: \
    504 	        distdir) \
    505 	      || exit 1; \
    506 	  fi; \
    507 	done
    508 	-test -n "$(am__skip_mode_fix)" \
    509 	|| find "$(distdir)" -type d ! -perm -755 \
    510 		-exec chmod u+rwx,go+rx {} \; -o \
    511 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    512 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    513 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    514 	|| chmod -R a+r "$(distdir)"
    515 dist-gzip: distdir
    516 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
    517 	$(am__post_remove_distdir)
    518 
    519 dist-bzip2: distdir
    520 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
    521 	$(am__post_remove_distdir)
    522 
    523 dist-lzip: distdir
    524 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
    525 	$(am__post_remove_distdir)
    526 
    527 dist-xz: distdir
    528 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
    529 	$(am__post_remove_distdir)
    530 
    531 dist-zstd: distdir
    532 	tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
    533 	$(am__post_remove_distdir)
    534 
    535 dist-tarZ: distdir
    536 	@echo WARNING: "Support for distribution archives compressed with" \
    537 		       "legacy program 'compress' is deprecated." >&2
    538 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
    539 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    540 	$(am__post_remove_distdir)
    541 
    542 dist-shar: distdir
    543 	@echo WARNING: "Support for shar distribution archives is" \
    544 	               "deprecated." >&2
    545 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
    546 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
    547 	$(am__post_remove_distdir)
    548 
    549 dist-zip: distdir
    550 	-rm -f $(distdir).zip
    551 	zip -rq $(distdir).zip $(distdir)
    552 	$(am__post_remove_distdir)
    553 
    554 dist dist-all:
    555 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
    556 	$(am__post_remove_distdir)
    557 
    558 # This target untars the dist file and tries a VPATH configuration.  Then
    559 # it guarantees that the distribution is self-contained by making another
    560 # tarfile.
    561 distcheck: dist
    562 	case '$(DIST_ARCHIVES)' in \
    563 	*.tar.gz*) \
    564 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
    565 	*.tar.bz2*) \
    566 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
    567 	*.tar.lz*) \
    568 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
    569 	*.tar.xz*) \
    570 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
    571 	*.tar.Z*) \
    572 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    573 	*.shar.gz*) \
    574 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
    575 	*.zip*) \
    576 	  unzip $(distdir).zip ;;\
    577 	*.tar.zst*) \
    578 	  zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
    579 	esac
    580 	chmod -R a-w $(distdir)
    581 	chmod u+w $(distdir)
    582 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
    583 	chmod a-w $(distdir)
    584 	test -d $(distdir)/_build || exit 0; \
    585 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    586 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    587 	  && am__cwd=`pwd` \
    588 	  && $(am__cd) $(distdir)/_build/sub \
    589 	  && ../../configure \
    590 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
    591 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    592 	    --srcdir=../.. --prefix="$$dc_install_base" \
    593 	  && $(MAKE) $(AM_MAKEFLAGS) \
    594 	  && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
    595 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    596 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    597 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    598 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    599 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    600 	        distuninstallcheck \
    601 	  && chmod -R a-w "$$dc_install_base" \
    602 	  && ({ \
    603 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    604 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    605 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    606 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    607 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    608 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    609 	  && rm -rf "$$dc_destdir" \
    610 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    611 	  && rm -rf $(DIST_ARCHIVES) \
    612 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
    613 	  && cd "$$am__cwd" \
    614 	  || exit 1
    615 	$(am__post_remove_distdir)
    616 	@(echo "$(distdir) archives ready for distribution: "; \
    617 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    618 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
    619 distuninstallcheck:
    620 	@test -n '$(distuninstallcheck_dir)' || { \
    621 	  echo 'ERROR: trying to run $@ with an empty' \
    622 	       '$$(distuninstallcheck_dir)' >&2; \
    623 	  exit 1; \
    624 	}; \
    625 	$(am__cd) '$(distuninstallcheck_dir)' || { \
    626 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
    627 	  exit 1; \
    628 	}; \
    629 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
    630 	   || { echo "ERROR: files left after uninstall:" ; \
    631 	        if test -n "$(DESTDIR)"; then \
    632 	          echo "  (check DESTDIR support)"; \
    633 	        fi ; \
    634 	        $(distuninstallcheck_listfiles) ; \
    635 	        exit 1; } >&2
    636 distcleancheck: distclean
    637 	@if test '$(srcdir)' = . ; then \
    638 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    639 	  exit 1 ; \
    640 	fi
    641 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    642 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    643 	       $(distcleancheck_listfiles) ; \
    644 	       exit 1; } >&2
    645 check-am: all-am
    646 check: check-recursive
    647 all-am: Makefile config.h
    648 installdirs: installdirs-recursive
    649 installdirs-am:
    650 install: install-recursive
    651 install-exec: install-exec-recursive
    652 install-data: install-data-recursive
    653 uninstall: uninstall-recursive
    654 
    655 install-am: all-am
    656 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    657 
    658 installcheck: installcheck-recursive
    659 install-strip:
    660 	if test -z '$(STRIP)'; then \
    661 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    662 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    663 	      install; \
    664 	else \
    665 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    666 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    667 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
    668 	fi
    669 mostlyclean-generic:
    670 
    671 clean-generic:
    672 
    673 distclean-generic:
    674 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    675 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    676 
    677 maintainer-clean-generic:
    678 	@echo "This command is intended for maintainers to use"
    679 	@echo "it deletes files that may require special tools to rebuild."
    680 clean: clean-recursive
    681 
    682 clean-am: clean-generic mostlyclean-am
    683 
    684 distclean: distclean-recursive
    685 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    686 	-rm -f Makefile
    687 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
    688 
    689 dvi: dvi-recursive
    690 
    691 dvi-am:
    692 
    693 html: html-recursive
    694 
    695 html-am:
    696 
    697 info: info-recursive
    698 
    699 info-am:
    700 
    701 install-data-am:
    702 
    703 install-dvi: install-dvi-recursive
    704 
    705 install-dvi-am:
    706 
    707 install-exec-am:
    708 
    709 install-html: install-html-recursive
    710 
    711 install-html-am:
    712 
    713 install-info: install-info-recursive
    714 
    715 install-info-am:
    716 
    717 install-man:
    718 
    719 install-pdf: install-pdf-recursive
    720 
    721 install-pdf-am:
    722 
    723 install-ps: install-ps-recursive
    724 
    725 install-ps-am:
    726 
    727 installcheck-am:
    728 
    729 maintainer-clean: maintainer-clean-recursive
    730 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    731 	-rm -rf $(top_srcdir)/autom4te.cache
    732 	-rm -f Makefile
    733 maintainer-clean-am: distclean-am maintainer-clean-generic
    734 
    735 mostlyclean: mostlyclean-recursive
    736 
    737 mostlyclean-am: mostlyclean-generic
    738 
    739 pdf: pdf-recursive
    740 
    741 pdf-am:
    742 
    743 ps: ps-recursive
    744 
    745 ps-am:
    746 
    747 uninstall-am:
    748 
    749 .MAKE: $(am__recursive_targets) all install-am install-strip
    750 
    751 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
    752 	am--refresh check check-am clean clean-cscope clean-generic \
    753 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
    754 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
    755 	dist-zstd distcheck distclean distclean-generic distclean-hdr \
    756 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
    757 	dvi-am html html-am info info-am install install-am \
    758 	install-data install-data-am install-dvi install-dvi-am \
    759 	install-exec install-exec-am install-html install-html-am \
    760 	install-info install-info-am install-man install-pdf \
    761 	install-pdf-am install-ps install-ps-am install-strip \
    762 	installcheck installcheck-am installdirs installdirs-am \
    763 	maintainer-clean maintainer-clean-generic mostlyclean \
    764 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
    765 	uninstall-am
    766 
    767 .PRECIOUS: Makefile
    768 
    769 
    770 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    771 # Otherwise a system limit (for SysV at least) may be exceeded.
    772 .NOEXPORT: